## plasma-framework 5.44.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(KF5_VERSION "5.44.0") # handled by release scripts
set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
project(Plasma VERSION ${KF5_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.44.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(KDEPackageAppTemplates)
include(ECMGenerateQmlTypes)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX PLASMA
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/plasma_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaConfigVersion.cmake"
                  SOVERSION 5)

if(KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED)
   set(KDE_NO_DEPRECATED TRUE)
   set(CMAKE_AUTOMOC_MOC_OPTIONS "-DKDE_NO_DEPRECATED")
endif()

################# now find all used packages #################

set (REQUIRED_QT_VERSION 5.7.0)

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Quick Gui Sql Qml Svg QuickControls2)

find_package(KF5 ${KF5_DEP_VERSION} REQUIRED
    COMPONENTS
        Activities
        Archive
        Config
        ConfigWidgets
        CoreAddons
        DBusAddons
        Declarative
        GlobalAccel
        GuiAddons
        I18n
        IconThemes
        KIO
        Service
        WindowSystem
        XmlGui
        Notifications
        Package
        Kirigami2
    OPTIONAL_COMPONENTS
        Wayland
        DocTools
)

set_package_properties(KF5Wayland PROPERTIES DESCRIPTION "Integration with the Wayland compositor"
                       TYPE OPTIONAL
                      )
if(KF5Wayland_FOUND)
  set(HAVE_KWAYLAND 1)
endif()

set_package_properties(KF5DocTools PROPERTIES DESCRIPTION "Tools to generate documentation"
                       TYPE OPTIONAL
                      )

#optional features
find_package(X11 MODULE)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                       URL "http://www.x.org"
                       TYPE OPTIONAL
                      )
find_package(XCB MODULE COMPONENTS XCB COMPOSITE DAMAGE SHAPE XFIXES RENDER)
set_package_properties(XCB PROPERTIES DESCRIPTION "X protocol C-language Binding"
                       URL "http://xcb.freedesktop.org"
                       TYPE OPTIONAL
                      )
if(X11_FOUND AND XCB_XCB_FOUND)
  set(HAVE_X11 1)
  find_package(Qt5 REQUIRED NO_MODULE COMPONENTS X11Extras)
  #X11_Xrender discovery is done by FindX11
  #add_feature_info("X Rendering Extension (libXrender)" X11_Xrender_FOUND "Support for compositing, rendering operations, and alpha-blending. STRONGLY RECOMMENDED")
endif()

find_package(OpenGL)
set_package_properties(OpenGL PROPERTIES DESCRIPTION "The OpenGL libraries"
                       URL "http://www.opengl.org"
                       TYPE OPTIONAL
                      )

find_package(EGL)
set_package_properties(EGL PROPERTIES
                       PURPOSE "Support for Window Thumbnail on EGL platform"
                       TYPE OPTIONAL
                      )
set(HAVE_EGL ${EGL_FOUND})

if(OPENGL_FOUND AND (${Qt5Gui_OPENGL_IMPLEMENTATION} STREQUAL "GL"))
    set(HAVE_GLX ${HAVE_X11})
else()
    set(HAVE_GLX 0)
endif()

#########################################################################

# TODO: create ECM macro for automoc & json things
set(Plasma_AUTOMOC_MACRO_NAMES_WITH_NO_JSON
    "K_EXPORT_PLASMA_SERVICE"
    "K_EXPORT_PLASMA_APPLET"
    "K_EXPORT_PLASMA_PACKAGE"
    "K_EXPORT_PLASMA_APPLETSCRIPTENGINE"
    "K_EXPORT_PLASMA_DATAENGINESCRIPTENGINE"
    "K_EXPORT_PLASMA_DATAENGINE"
)
set(Plasma_AUTOMOC_MACRO_NAMES_WITH_JSON_ARG2
    "K_EXPORT_PLASMA_PACKAGE_WITH_JSON"
)
set(Plasma_AUTOMOC_MACRO_NAMES_WITH_JSON_ARG3
    "K_EXPORT_PLASMA_SERVICE_WITH_JSON"
    "K_EXPORT_PLASMA_APPLET_WITH_JSON"
    "K_EXPORT_PLASMA_APPLETSCRIPTENGINE_WITH_JSON"
    "K_EXPORT_PLASMA_DATAENGINESCRIPTENGINE_WITH_JSON"
    "K_EXPORT_PLASMA_CONTAINMENTACTIONS_WITH_JSON"
    "K_EXPORT_PLASMA_DATAENGINE_WITH_JSON"
)
set(Plasma_AUTOMOC_MACRO_NAMES
    ${Plasma_AUTOMOC_MACRO_NAMES_WITH_NO_JSON}
    ${Plasma_AUTOMOC_MACRO_NAMES_WITH_JSON_ARG2}
    ${Plasma_AUTOMOC_MACRO_NAMES_WITH_JSON_ARG3}
)
if(NOT CMAKE_VERSION VERSION_LESS "3.10.0")
    # CMake 3.9+ warns about automoc on files without Q_OBJECT, and doesn't know about other macros.
    # 3.10+ lets us provide more macro names that require automoc.
    list(APPEND CMAKE_AUTOMOC_MACRO_NAMES ${Plasma_AUTOMOC_MACRO_NAMES})
endif()
if(NOT CMAKE_VERSION VERSION_LESS "3.9.0")
    foreach(macro_name  ${Plasma_AUTOMOC_MACRO_NAMES_WITH_JSON_ARG2})
        # tell automoc how to find names of plugin metadata files
        list(APPEND CMAKE_AUTOMOC_DEPEND_FILTERS
            "${macro_name}"
            "[\n^][ \t]*${macro_name}[ \t\n]*\\([^,]*,[ \t\n]*\"([^\"]+)\""
        )
    endforeach()
    foreach(macro_name  ${Plasma_AUTOMOC_MACRO_NAMES_WITH_JSON_ARG3})
        # tell automoc how to find names of plugin metadata files
        list(APPEND CMAKE_AUTOMOC_DEPEND_FILTERS
            "${macro_name}"
            "[\n^][ \t]*${macro_name}[ \t\n]*\\([^,]*,[^,]*,[ \t\n]*\"([^\"]+)\""
        )
    endforeach()
endif()

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

#add_definitions(-Wno-deprecated)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

include(KF5PlasmaMacros.cmake)

#########################################################################


option(BUILD_EXAMPLES "Build and install Plasma examples." OFF)
option(BUILD_COVERAGE "Build Plasma Frameworks with gcov support" OFF)

if(BUILD_COVERAGE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgcov")
endif()

# make plasma_version.h available
include_directories(${CMAKE_CURRENT_BINARY_DIR})

################# list the subdirectories #################
if (KF5DocTools_FOUND)
    add_subdirectory(docs)
endif()
add_definitions(-DTRANSLATION_DOMAIN=\"libplasma5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
    if (KF5DocTools_FOUND)
        kdoctools_install(po)
    endif()
endif()
add_subdirectory(src)

if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

add_subdirectory(autotests)
add_subdirectory(tests)
add_subdirectory(templates)

################ create PlasmaConfig.cmake and install it ###########################

# create a Config.cmake and a ConfigVersion.cmake file and install them

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Plasma")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Plasma_QCH
        FILE KF5PlasmaQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5PlasmaQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PlasmaConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaConfigVersion.cmake"
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PlasmaMacros.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5PlasmaTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5PlasmaTargets.cmake
        NAMESPACE KF5::
        COMPONENT Devel)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== templates/CMakeLists.txt ===
set(apptemplate_DIRS
    qml-plasmoid
    qml-plasmoid-with-qml-extension
    cpp-plasmoid
    plasma-wallpaper
)

kde_package_app_templates(TEMPLATES ${apptemplate_DIRS} INSTALL_DIR ${KDE_INSTALL_KTEMPLATESDIR})

=== src/declarativeimports/CMakeLists.txt ===
add_subdirectory(accessdenied)
add_subdirectory(core)
add_subdirectory(plasmacomponents)
add_subdirectory(plasmaextracomponents)
add_subdirectory(platformcomponents)
add_subdirectory(calendar)

install(DIRECTORY plasmastyle/ DESTINATION ${KDE_INSTALL_QMLDIR}/QtQuick/Controls/Styles/Plasma)

install(DIRECTORY kirigamiplasmastyle/ DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2/styles/Plasma)

install(DIRECTORY kirigamiplasmadesktopstyle/ DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2/styles/org.kde.desktop.plasma)


math(EXPR QQC2_VERSION "${Qt5QuickControls2_VERSION_MINOR} - 7")
set(QQC2_VERSION "2.${QQC2_VERSION}")


# Find all the source qml files
FILE(GLOB_RECURSE inFiles RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
    "${CMAKE_CURRENT_SOURCE_DIR}/plasmacomponents3/*")

    #for each file, replace @QQC2_VERSION@ with the version we found
FOREACH(infileName ${inFiles})
    configure_package_config_file(
        "${CMAKE_CURRENT_SOURCE_DIR}/${infileName}"
        "${CMAKE_CURRENT_BINARY_DIR}/${infileName}"
        INSTALL_DESTINATION  "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Plasma"
        PATH_VARS  QQC2_VERSION
    )
ENDFOREACH(infileName)

#install the components as a QQC2 Style, as style for applications (mainly for Plasma Mobile)
install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/ DESTINATION ${KDE_INSTALL_QMLDIR}/QtQuick/Controls.2/Plasma)

#install some of the componets as a separate import, to be used in plasmoids (some of them like ApplicationWindow are of no use for plasmoids)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/BusyIndicator.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/Button.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/CheckBox.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/CheckDelegate.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/CheckIndicator.qml
    #combobox is not in a new window, but maybe better already than the broken qqc1 combobox?
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/ComboBox.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/Container.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/Control.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/Dial.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/Frame.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/GroupBox.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/ItemDelegate.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/Label.qml

    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/ProgressBar.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/RadioButton.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/RadioDelegate.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/RadioIndicator.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/RangeSlider.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/ScrollBar.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/Slider.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/SpinBox.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/Switch.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/SwitchDelegate.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/SwitchIndicator.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/TabBar.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/TabButton.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/TextArea.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/TextField.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/ToolBar.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/ToolButton.qml
    ${CMAKE_CURRENT_BINARY_DIR}/plasmacomponents3/qmldir

    DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/components.3)
install(DIRECTORY plasmacomponents3/private DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/components.3)

=== debian/changelog ===
plasma-framework (5.44.0-0ubuntu3) bionic; urgency=medium

  * Add upstream patch to fix crash on switching between 'FolderView'
    and 'Desktop' for the desktop containment. (LP: #1759328)
    I tested this and confirmed the fix in upstream code review
    at https://phabricator.kde.org/D12064
    - d/p: upstream_fix-crash-on-desktop-containment-switch.patch

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 10 Apr 2018 16:18:49 +0100

plasma-framework (5.44.0-0ubuntu2) bionic; urgency=medium

  * Add missing libkf5windowsystem-dev dependency to libkf5plasma-dev

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 21 Mar 2018 02:19:49 +0000

plasma-framework (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0) (LP: #1754825)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 20:00:23 +0000

plasma-framework (5.43.0-0ubuntu2) bionic; urgency=medium

  * Skip flaky test that only fails on ubuntu infra

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 01 Mar 2018 09:33:11 +0000

plasma-framework (5.43.0-0ubuntu1) bionic; urgency=medium

  * New build depend on qtquickcontrols2-5-dev
  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:17:48 +0000

plasma-framework (5.42.0-0ubuntu1) bionic; urgency=medium

  * New build dep on kirigami2-dev
  * Install kirigami plasma styles
  * Breaks/replaces on kiriagmi qml module from 5.41 release, where
    the plamsa styles moved to this source
  * New upstream release (5.42.0)
  * Update symbols from build logs
  * Update runtime deps

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:24:18 +0000

plasma-framework (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)
  * Update symbols from build logs. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:09:49 -0600

plasma-framework (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * Package priority 'extra' is depreciated in favour of 'optional'
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:18:55 +0000

=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               kirigami2-dev (>= 5.44.0~),
               kwayland-dev (>= 4:5.44.0~),
               libegl1-mesa-dev,
               libkf5activities-dev (>= 5.44.0~),
               libkf5archive-dev (>= 5.44.0~),
               libkf5codecs-dev (>= 5.44.0~),
               libkf5config-dev (>= 5.44.0~),
               libkf5configwidgets-dev (>= 5.44.0~),
               libkf5coreaddons-dev (>= 5.44.0~),
               libkf5dbusaddons-dev (>= 5.44.0~),
               libkf5declarative-dev (>= 5.44.0~),
               libkf5doctools-dev (>= 5.44.0~),
               libkf5globalaccel-dev (>= 5.44.0~),
               libkf5guiaddons-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5iconthemes-dev (>= 5.44.0~),
               libkf5idletime-dev (>= 5.44.0~),
               libkf5itemmodels-dev (>= 5.44.0~),
               libkf5kio-dev (>= 5.44.0~),
               libkf5notifications-dev (>= 5.44.0~),
               libkf5package-dev (>= 5.44.0~),
               libkf5parts-dev (>= 5.44.0~),
               libkf5service-dev (>= 5.44.0~),
               libkf5solid-dev (>= 5.44.0~),
               libkf5su-dev (>= 5.44.0~),
               libkf5threadweaver-dev (>= 5.44.0~),
               libkf5widgetsaddons-dev (>= 5.44.0~),
               libkf5windowsystem-dev (>= 5.44.0~),
               libkf5xmlgui-dev (>= 5.44.0~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libsm-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtquickcontrols2-5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/plasma-framework
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-framework
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-framework

Package: libkf5plasma-dev
Architecture: any
Section: libdevel
Depends: libkf5package-dev (>= 5.44.0~),
         libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         libkf5service-dev (>= 5.44.0~),
         libkf5windowsystem-dev (>= 5.44.0~),
         plasma-framework (= ${binary:Version}),
         ${misc:Depends}
Breaks: kapptemplate (<< 4:15.12.2-1~),
        plasma-framework (<= 5.43.0~),
        plasma-framework-dev (<< 5.27.0-1ubuntu1~),
Replaces: kapptemplate (<< 4:15.12.2-1~),
          plasma-framework (<= 5.43.0~),
          plasma-framework-dev (<< 5.27.0-1ubuntu1~),
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: libkf5plasma5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.

Package: libkf5plasmaquick5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: plasma-framework
Architecture: any
Depends: qml-module-org-kde-kconfig,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-widgets-addons (<= 4:5.5~),
        qml-module-org-kde-kirigami2 (<= 5.41.0-0ubuntu1),
Replaces: plasma-widgets-addons (<= 4:5.5~),
          qml-module-org-kde-kirigami2 (<= 5.41.0-0ubuntu1),
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: plasma-framework-dev
Architecture: all
Section: oldlibs
Priority: optional
Depends: libkf5plasma-dev (>= 5.44.0~), ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='plasma-framework-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, debhelper, cmake, xvfb, xauth, dbus (>= 1.8), libqt5sql5-sqlite,
         libkf5globalaccel-bin, libkf5service-bin, breeze-icon-theme,
         qml-module-qtquick2, hicolor-icon-theme, openbox
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/plasma-framework-([\d.]+)\.tar\.xz

## plasma-framework 5.50.0

=== debian/changelog ===
plasma-framework (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:19:55 +0100

plasma-framework (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:32:26 +0100

plasma-framework (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Drop transitional plasma-framework-dev package
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:51:47 +0100

plasma-framework (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Update symbols files.
  * testsuite: Run tests one at the time
  * testsuite: Ignore stderr
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:51 +0200

plasma-framework (5.46.0-0ubuntu1) cosmic; urgency=medium

  * Drop upstream applied patch:
    - upstream_fix-crash-on-desktop-containment-switch.patch 
  * New upstream release (5.46.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:58:52 +0100

plasma-framework (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:11:11 +0200

plasma-framework (5.45.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.45.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 18 Apr 2018 21:09:46 +0200

plasma-framework (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).

  [ Maximiliano Curia ]
  * Bump group breaks (5.44)
  * Update build-deps and deps with the info from cmake
  * Release to sid

  [ Pino Toscano ]
  * Drop the transitional plasma-framework-dev, as it is no more needed now.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:41:31 +0100

plasma-framework (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:44:22 +0100

=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.50.0~),
               graphviz,
               kirigami2-dev (>= 5.50.0~),
               libegl1-mesa-dev,
               libkf5activities-dev (>= 5.50.0~),
               libkf5archive-dev (>= 5.50.0~),
               libkf5codecs-dev (>= 5.50.0~),
               libkf5config-dev (>= 5.50.0~),
               libkf5configwidgets-dev (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5dbusaddons-dev (>= 5.50.0~),
               libkf5declarative-dev (>= 5.50.0~),
               libkf5doctools-dev (>= 5.50.0~),
               libkf5globalaccel-dev (>= 5.50.0~),
               libkf5guiaddons-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5iconthemes-dev (>= 5.50.0~),
               libkf5idletime-dev (>= 5.50.0~),
               libkf5itemmodels-dev (>= 5.50.0~),
               libkf5kio-dev (>= 5.50.0~),
               libkf5notifications-dev (>= 5.50.0~),
               libkf5package-dev (>= 5.50.0~),
               libkf5parts-dev (>= 5.50.0~),
               libkf5service-dev (>= 5.50.0~),
               libkf5solid-dev (>= 5.50.0~),
               libkf5su-dev (>= 5.50.0~),
               libkf5threadweaver-dev (>= 5.50.0~),
               libkf5wayland-dev (>= 4:5.50.0~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.50.0~),
               libkf5windowsystem-dev (>= 5.50.0~),
               libkf5xmlgui-dev (>= 5.50.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.8.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libsm-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qtquickcontrols2-5-dev (>= 5.8.0~),
               qtscript5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/plasma-framework
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-framework
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-framework

Package: libkf5plasma-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 5.50.0~),
         libkf5package-dev (>= 5.50.0~),
         libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         libkf5service-dev (>= 5.50.0~),
         libkf5windowsystem-dev (>= 5.50.0~),
         plasma-framework (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf5plasma-doc (= ${source:Version})
Breaks: kapptemplate (<< 4:15.12.2-1~),
        plasma-framework (<= 5.43.0~),
        plasma-framework-dev (<< 5.27.0-1ubuntu1~),
Replaces: kapptemplate (<< 4:15.12.2-1~),
          plasma-framework (<= 5.43.0~),
          plasma-framework-dev (<< 5.27.0-1ubuntu1~),
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: libkf5plasma-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Plasma Runtime components (documentation)
 Plasma library and runtime components based upon KF5 and Qt5.
 .
 This package contains the qch documentation files.

Package: libkf5plasma5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qml-module-org-kde-runnermodel (<< 5.42)
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.

Package: libkf5plasmaquick5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: plasma-framework
Architecture: any
Depends: qml-module-org-kde-kconfig (>= 5.47),
         qml-module-org-kde-kirigami2 (>= 5.47),
         qml-module-org-kde-kquickcontrols (>= 5.47),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.47),
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-widgets-addons (<= 4:5.5~),
        qml-module-org-kde-kirigami2 (<= 5.41.0-0ubuntu1),
Replaces: plasma-widgets-addons (<= 4:5.5~),
          qml-module-org-kde-kirigami2 (<= 5.41.0-0ubuntu1),
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

## plasma-framework 5.54.0

=== templates/cpp-plasmoid/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(plasma-%{APPNAMELC})
 
find_package(ECM 1.4.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)

find_package(KF5 REQUIRED COMPONENTS
    Plasma
    I18n
)

find_package(Qt5 CONFIG REQUIRED COMPONENTS
    Quick
    Core
)

add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== templates/qml-plasmoid/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(plasma-%{APPNAMELC})
 
find_package(ECM 1.4.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(KF5Plasma REQUIRED)

# TODO: adapt "org.kde.plasma" here & elsewhere if needed (see README)
plasma_install_package(package org.kde.plasma.%{APPNAMELC})

=== debian/changelog ===
plasma-framework (5.54.0-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 12:07:31 +0800

plasma-framework (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:36 -0300

plasma-framework (5.51.0-1) unstable; urgency=medium

  * New revision
  * Drop dbgsym migration rule
  * Inject "current" version dependency in the symbols files
  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:33 +0100

plasma-framework (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update symbols files from buildds logs (5.47.0-1).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:19:14 +0200

plasma-framework (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:10:59 +0200

=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               kirigami2-dev (>= 5.54.0~),
               libegl1-mesa-dev,
               libkf5activities-dev (>= 5.54.0~),
               libkf5archive-dev (>= 5.54.0~),
               libkf5codecs-dev (>= 5.7.0),
               libkf5config-dev (>= 5.54.0~),
               libkf5configwidgets-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5dbusaddons-dev (>= 5.54.0~),
               libkf5declarative-dev (>= 5.54.0~),
               libkf5doctools-dev (>= 5.54.0~),
               libkf5globalaccel-dev (>= 5.54.0~),
               libkf5guiaddons-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5iconthemes-dev (>= 5.54.0~),
               libkf5idletime-dev (>= 5.7.0),
               libkf5itemmodels-dev (>= 5.7.0),
               libkf5kio-dev (>= 5.54.0~),
               libkf5notifications-dev (>= 5.54.0~),
               libkf5package-dev (>= 5.54.0~),
               libkf5parts-dev (>= 5.54.0~),
               libkf5service-dev (>= 5.54.0~),
               libkf5solid-dev (>= 5.7.0),
               libkf5su-dev (>= 5.7.0),
               libkf5threadweaver-dev (>= 5.7.0),
               libkf5wayland-dev (>= 4:5.54.0~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.54.0~),
               libkf5windowsystem-dev (>= 5.54.0~),
               libkf5xmlgui-dev (>= 5.54.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.9.0~),
               libqt5x11extras5-dev (>= 5.4),
               libsm-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qtquickcontrols2-5-dev (>= 5.9.0~),
               qtscript5-dev (>= 5.4),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/plasma-framework
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-framework
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-framework.git

Package: libkf5plasma-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 5.54.0~),
         libkf5package-dev (>= 5.54.0~),
         libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         libkf5service-dev (>= 5.54.0~),
         libkf5windowsystem-dev (>= 5.54.0~),
         plasma-framework (= ${binary:Version}),
         ${misc:Depends},
Replaces: kapptemplate (<< 4:15.12.2-1~),
          plasma-framework (<= 5.9.0+git20150516.1328+15.04-0),
          plasma-framework-dev (<< 5.23.0-2~),
Breaks: kapptemplate (<< 4:15.12.2-1~),
        libkf5runner-dev (<< 5.54),
        plasma-framework (<= 5.9.0+git20150516.1328+15.04-0),
        plasma-framework-dev (<< 5.23.0-2~),
Recommends: libkf5plasma-doc (= ${source:Version})
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: libkf5plasma-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Plasma Runtime components (documentation)
 Plasma library and runtime components based upon KF5 and Qt5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5plasma5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.
Breaks: libkf5runner5 (<< 5.54), qml-module-org-kde-runnermodel (<< 5.42)

Package: libkf5plasmaquick5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: plasma-framework
Architecture: any
Depends: qml-module-org-kde-kconfig (>= 5.54),
         qml-module-org-kde-kquickcontrols (>= 5.54),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.54),
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-widgets-addons (<= 4:5.5~),
        qml-module-org-kde-kirigami2 (<< 5.44),
Replaces: plasma-widgets-addons (<= 4:5.5~),
          qml-module-org-kde-kirigami2 (<< 5.42~),
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

=== debian/tests/control ===
Tests: testsuite
Depends: @, debhelper, cmake, xvfb, xauth, dbus (>= 1.8), libqt5sql5-sqlite,
         libkf5globalaccel-bin, libkf5service-bin, breeze-icon-theme,
         qml-module-qtquick2, hicolor-icon-theme,
         openbox
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## plasma-framework 5.56.1

=== debian/changelog ===
plasma-framework (5.56.1-0ubuntu2) disco; urgency=medium

  * Replace incorrectly formatted Breeze tooltip and background svgs with
    fixed versions from upstream git. KDE BUG: 405548.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 22 Mar 2019 10:21:07 +0000

plasma-framework (5.56.1-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.56.1).

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 11:10:08 +0000

plasma-framework (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:38:48 +0000

plasma-framework (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:34:13 +0000

plasma-framework (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:37:24 +0000

plasma-framework (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:50:58 +0000

plasma-framework (5.52.0a-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)
  * Refresh kubuntu_skip-flaky-test.patch

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:44:21 +0000

=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.56.0~),
               graphviz,
               kirigami2-dev (>= 5.56.0~),
               libegl1-mesa-dev,
               libkf5activities-dev (>= 5.56.0~),
               libkf5archive-dev (>= 5.56.0~),
               libkf5codecs-dev (>= 5.56.0~),
               libkf5config-dev (>= 5.56.0~),
               libkf5configwidgets-dev (>= 5.56.0~),
               libkf5coreaddons-dev (>= 5.56.0~),
               libkf5dbusaddons-dev (>= 5.56.0~),
               libkf5declarative-dev (>= 5.56.0~),
               libkf5doctools-dev (>= 5.56.0~),
               libkf5globalaccel-dev (>= 5.56.0~),
               libkf5guiaddons-dev (>= 5.56.0~),
               libkf5i18n-dev (>= 5.56.0~),
               libkf5iconthemes-dev (>= 5.56.0~),
               libkf5idletime-dev (>= 5.56.0~),
               libkf5itemmodels-dev (>= 5.56.0~),
               libkf5kio-dev (>= 5.56.0~),
               libkf5notifications-dev (>= 5.56.0~),
               libkf5package-dev (>= 5.56.0~),
               libkf5parts-dev (>= 5.56.0~),
               libkf5service-dev (>= 5.56.0~),
               libkf5solid-dev (>= 5.56.0~),
               libkf5su-dev (>= 5.56.0~),
               libkf5threadweaver-dev (>= 5.56.0~),
               libkf5wayland-dev (>= 4:5.56.0~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.56.0~),
               libkf5windowsystem-dev (>= 5.56.0~),
               libkf5xmlgui-dev (>= 5.56.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.8.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libsm-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qtquickcontrols2-5-dev (>= 5.8.0~),
               qtscript5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/plasma-framework
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-framework
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-framework

Package: libkf5plasma-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 5.55.0~),
         libkf5package-dev (>= 5.55.0~),
         libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         libkf5service-dev (>= 5.55.0~),
         libkf5windowsystem-dev (>= 5.55.0~),
         plasma-framework (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf5plasma-doc (= ${source:Version})
Breaks: kapptemplate (<< 4:15.12.2-1~),
        plasma-framework (<= 5.43.0~),
        plasma-framework-dev (<< 5.27.0-1ubuntu1~),
Replaces: kapptemplate (<< 4:15.12.2-1~),
          plasma-framework (<= 5.43.0~),
          plasma-framework-dev (<< 5.27.0-1ubuntu1~),
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: libkf5plasma-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Plasma Runtime components (documentation)
 Plasma library and runtime components based upon KF5 and Qt5.
 .
 This package contains the qch documentation files.

Package: libkf5plasma5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qml-module-org-kde-runnermodel (<< 5.42)
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.

Package: libkf5plasmaquick5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: plasma-framework
Architecture: any
Depends: qml-module-org-kde-kconfig (>= 5.47),
         qml-module-org-kde-kirigami2 (>= 5.47),
         qml-module-org-kde-kquickcontrols (>= 5.47),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.47),
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-widgets-addons (<= 4:5.5~),
        qml-module-org-kde-kirigami2 (<= 5.41.0-0ubuntu1),
Replaces: plasma-widgets-addons (<= 4:5.5~),
          qml-module-org-kde-kirigami2 (<= 5.41.0-0ubuntu1),
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='plasma-framework-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:
